Actualización de Linux Mint 19.3 a 20 (SOLUCIONADO)

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
nico_mza
Level 1
Level 1
Posts: 22
Joined: Wed Aug 07, 2019 5:51 pm

Actualización de Linux Mint 19.3 a 20 (SOLUCIONADO)

Post by nico_mza »

Hola, este topic es para comentar que realicé la actualización tal como indica el gestor de actualizaciones de linux mint. Aparentemente ha quedado todo ok, pero no se porqué se desconectó de internet durante la misma, cuando estaba aplicando los cambios, y me tiró un código de error al final y me dijo que debía hacer un "Exit" y se salió de la actualización. Copíé los últimos resultados de la terminal e instalé a mano uno a uno los paquetes que me decía que no pudo instalar (por no tener conexión a internet). Eran paquetes individuales, un número pequeño, no del grueso de la actualización. La pregunta es ¿Cómo puedo saber si quedó algo pendiente en el upgrade?
Por las dudas, luego de instalar los paquetes manualmente, le volví a correr el comando mintupgrade upgrade y lo corrió hasta el final esta vez sin mostrar dificultades. Pareciera todo ok, pero pregunto por las dudas.
Otra cosa, me cambió el grub (ahora me dice grub 2.0) y el que tenía antes (19.3) parecía mas "nuevo" que el que tengo ahora, cada SO me aparecía con un ícono y la pantalla era mucho mas amigable. El que quedó actualmente tiene el aspecto del grub de toda la vida. Igualmente, funciona OK (lo importante).
Por lo demás, ningún otro inconveniente (por ahora) con la actualización. Copio a continuación el último contenido de la terminal:

Code: Select all

ibreoffice-gtk3 ya está en su versión más reciente (1:6.4.4-0ubuntu0.20.04.1).
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  gcc-8-base:i386 libart-2.0-2 libbonobo2-0 libbonobo2-common libbonoboui2-0
  libbonoboui2-common libclass-data-inheritable-perl
  libcrypt-openssl-bignum-perl libcrypt-openssl-random-perl
  libcrypt-openssl-rsa-perl libdata-random-perl libffi6:i386
  libfile-which-perl libfluidsynth1 libgegl-0.3-0 libgfortran4
  libgl1-mesa-glx:i386 libgnome-2-0 libgnome-keyring-common libgnome-keyring0
  libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0
  libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgssdp-1.0-3
  libgtkimageview0 libgupnp-1.0-4 libhogweed4:i386 libhttp-server-simple-perl
  libicu60:i386 libjson-perl liblivemedia62 libllvm9 libllvm9:i386
  libmagick++-6.q16-7 libmicrodns0 libmouse-perl libnet-dropbox-api-perl
  libnet-oauth-perl libnettle6:i386 libnfs11 liborbit-2-0 libpangox-1.0-0
  libpath-class-perl libplacebo4 libproc-processtable-perl libproc-simple-perl
  libprotobuf-lite10 libraw16 libsndio6.1:i386 libsort-naturally-perl
  libspeexdsp1:i386 libunique-1.0-0 libupnp6 libwayland-egl1-mesa:i386
  libwnck-common libwnck22 libwww-mechanize-perl libwxgtk3.0-0v5
  libx11-protocol-other-perl linux-generic-hwe-18.04 linux-headers-5.3.0-53
  linux-headers-5.3.0-53-generic linux-headers-5.3.0-59
  linux-headers-5.3.0-59-generic linux-headers-5.3.0-61
  linux-headers-5.3.0-61-generic linux-headers-generic-hwe-18.04
  linux-image-5.3.0-53-generic linux-image-5.3.0-59-generic
  linux-image-5.3.0-61-generic linux-image-generic-hwe-18.04
  linux-modules-5.3.0-53-generic linux-modules-5.3.0-59-generic
  linux-modules-5.3.0-61-generic linux-modules-extra-5.3.0-53-generic
  linux-modules-extra-5.3.0-59-generic linux-modules-extra-5.3.0-61-generic
  xserver-xephyr-hwe-18.04 xserver-xorg-input-all-hwe-18.04
  xserver-xorg-input-libinput-hwe-18.04 xserver-xorg-input-wacom-hwe-18.04
  xserver-xorg-legacy-hwe-18.04 xserver-xorg-video-all-hwe-18.04
  xserver-xorg-video-amdgpu-hwe-18.04 xserver-xorg-video-ati-hwe-18.04
  xserver-xorg-video-intel-hwe-18.04 xserver-xorg-video-nouveau-hwe-18.04
  xserver-xorg-video-qxl-hwe-18.04 xserver-xorg-video-radeon-hwe-18.04
  xserver-xorg-video-vesa-hwe-18.04 xserver-xorg-video-vmware-hwe-18.04
  xwayland-hwe-18.04
Utilice «sudo apt autoremove» para eliminarlos.
Se instalarán los siguientes paquetes adicionales:
  libc-ares2 libgamemode0 libgamemodeauto0 python3-grpcio python3-ifaddr
  python3-nose python3-zeroconf
Paquetes sugeridos:
  python-nose-doc
Se instalarán los siguientes paquetes NUEVOS:
  adwaita-icon-theme-full alsa-topology-conf alsa-ucm-conf
  cryptsetup-initramfs cryptsetup-run gamemode libc-ares2 libgamemode0
  libgamemodeauto0 mesa-vdpau-drivers mesa-vulkan-drivers python3-grpcio
  python3-ifaddr python3-nose python3-zeroconf warpinator
0 actualizados, 16 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
Se necesita descargar 14,2 MB de archivos.
Se utilizarán 80,6 MB de espacio de disco adicional después de esta operación.
Ign:1 http://packages.linuxmint.com ulyana/backport amd64 warpinator all 1.0.6+ulyana
Ign:2 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 adwaita-icon-theme-full all 3.36.1-2ubuntu0.20.04.2
Ign:3 http://archive.ubuntu.com/ubuntu focal/main amd64 alsa-topology-conf all 1.2.2-1
Err:1 http://packages.linuxmint.com ulyana/backport amd64 warpinator all 1.0.6+ulyana
  No se pudo resolver «packages.linuxmint.com»
Ign:4 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 alsa-ucm-conf all 1.2.2-1ubuntu0.1
Ign:5 http://archive.ubuntu.com/ubuntu focal/main amd64 cryptsetup-initramfs all 2:2.2.2-3ubuntu2
Ign:6 http://archive.ubuntu.com/ubuntu focal/main amd64 cryptsetup-run all 2:2.2.2-3ubuntu2
Err:7 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgamemode0 amd64 1.5.1-0ubuntu3.1
  No se pudo resolver «archive.ubuntu.com»
Err:8 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgamemodeauto0 amd64 1.5.1-0ubuntu3.1
  No se pudo resolver «archive.ubuntu.com»
Err:9 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 gamemode amd64 1.5.1-0ubuntu3.1
  No se pudo resolver «archive.ubuntu.com»
Err:10 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 mesa-vdpau-drivers amd64 20.0.8-0ubuntu1~20.04.1
  No se pudo resolver «archive.ubuntu.com»
Err:11 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 mesa-vulkan-drivers amd64 20.0.8-0ubuntu1~20.04.1
  No se pudo resolver «archive.ubuntu.com»
Err:12 http://archive.ubuntu.com/ubuntu focal/main amd64 libc-ares2 amd64 1.15.0-1build1
  No se pudo resolver «archive.ubuntu.com»
Err:13 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-grpcio amd64 1.16.1-1ubuntu5
  No se pudo resolver «archive.ubuntu.com»
Ign:14 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-ifaddr all 0.1.6-1
Ign:15 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-nose all 1.3.7-5
Ign:16 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-zeroconf all 0.24.4-0ubuntu1
Err:2 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 adwaita-icon-theme-full all 3.36.1-2ubuntu0.20.04.2
  No se pudo resolver «archive.ubuntu.com»
Err:3 http://archive.ubuntu.com/ubuntu focal/main amd64 alsa-topology-conf all 1.2.2-1
  No se pudo resolver «archive.ubuntu.com»
Err:4 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 alsa-ucm-conf all 1.2.2-1ubuntu0.1
  No se pudo resolver «archive.ubuntu.com»
Err:5 http://archive.ubuntu.com/ubuntu focal/main amd64 cryptsetup-initramfs all 2:2.2.2-3ubuntu2
  No se pudo resolver «archive.ubuntu.com»
Err:6 http://archive.ubuntu.com/ubuntu focal/main amd64 cryptsetup-run all 2:2.2.2-3ubuntu2
  No se pudo resolver «archive.ubuntu.com»
Err:14 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-ifaddr all 0.1.6-1
  No se pudo resolver «archive.ubuntu.com»
Err:15 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-nose all 1.3.7-5
  No se pudo resolver «archive.ubuntu.com»
Err:16 http://archive.ubuntu.com/ubuntu focal/universe amd64 python3-zeroconf all 0.24.4-0ubuntu1
  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/universe/a/adwaita-icon-theme/adwaita-icon-theme-full_3.36.1-2ubuntu0.20.04.2_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/a/alsa-topology-conf/alsa-topology-conf_1.2.2-1_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/a/alsa-ucm-conf/alsa-ucm-conf_1.2.2-1ubuntu0.1_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/c/cryptsetup/cryptsetup-initramfs_2.2.2-3ubuntu2_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/c/cryptsetup/cryptsetup-run_2.2.2-3ubuntu2_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/g/gamemode/libgamemode0_1.5.1-0ubuntu3.1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/g/gamemode/libgamemodeauto0_1.5.1-0ubuntu3.1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/g/gamemode/gamemode_1.5.1-0ubuntu3.1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/m/mesa/mesa-vdpau-drivers_20.0.8-0ubuntu1~20.04.1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/m/mesa/mesa-vulkan-drivers_20.0.8-0ubuntu1~20.04.1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/main/c/c-ares/libc-ares2_1.15.0-1build1_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/universe/g/grpc/python3-grpcio_1.16.1-1ubuntu5_amd64.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/universe/p/python-ifaddr/python3-ifaddr_0.1.6-1_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/universe/n/nose/python3-nose_1.3.7-5_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://archive.ubuntu.com/ubuntu/pool/universe/p/python-zeroconf/python3-zeroconf_0.24.4-0ubuntu1_all.deb  No se pudo resolver «archive.ubuntu.com»
E: Fallo al obtener http://packages.linuxmint.com/pool/backport/w/warpinator/warpinator_1.0.6+ulyana_all.deb  No se pudo resolver «packages.linuxmint.com»
E: No se pudieron obtener algunos archivos, ¿quizás deba ejecutar «apt-get update» o deba intentarlo de nuevo con --fix-missing?

------------------------------------------------
!!  ERROR: Failed to install additional packages.
!!  Exiting.
------------------------------------------------
nicolas@nicolas-System-Product-Name:~$ 
Last edited by nico_mza on Sun Jul 12, 2020 5:53 pm, edited 1 time in total.

User avatar
tomeu
Level 6
Level 6
Posts: 1343
Joined: Wed Mar 29, 2017 12:03 pm
Location: España

Re: Actualización de Linux Mint 19.3 a 20

Post by tomeu »

Por favor aclara si ese resultado del terminal es de ahora, es decir, tras terminar la actualización, o antes, o cuando se dio el fallo/corte eléctrico.

Como puedes ver en el resultado de apt en el terminal te dice que tienes paquetes que puedes eliminar por no ser necesarios con un sudo apt autoremove

Luego veo que tienes muchos ppa de ubuntu/focal convendría que los deshabilitaras y tras un update ver si esos paquetes que te vienen por esos repositorios externos los tienes ya en los oficiales de mint

En cuanto a lo del grub, en efecto al pasar de 19.3 a 20 se desinstala el paquete 'grub2-theme-mint'. Solo lo tienes que volver a instalar desde synaptic o desde el terminal con apt. Si tienes un monitor 2k también puedes instalar el paquete 'grub2-theme-mint-2k'

Después de instalarlos hay que hacer un sudo update-grub desde el terminal.
Image
Linux Mint Ulyana 20 Cinnamon
Por favor, recuerda añadir al título el 'palabro' "[SOLUCIONADO]" si el problema o cuestión ha quedado resuelto. Gracias

nico_mza
Level 1
Level 1
Posts: 22
Joined: Wed Aug 07, 2019 5:51 pm

Re: Actualización de Linux Mint 19.3 a 20

Post by nico_mza »

Hola, muchas gracias por tu respuesta Tomeu! Esa lista no es la definitiva, es la que me dió la terminal en una primer instancia. Luego de instalar a mano los paquetes que me figuraban allí y de hacer el "autoremove" volvía correr el mismo comando (mintupgrade upgrade) y pareció que todo quedó sin problemas. Luego purgué la configuración residual y eliminé los paquetes externos como dice el post y me parece que ahí se habrá resuelto lo de los ppa de ubuntu/focal, me voy a fijar igualmente.
Muchas gracias por lo del grub, lo voy a instalar porque me gustaba mas el otro (un detalle sin importancia en realidad, pero estaba lindo). Lo que sí, no sé qué es lo del monitor 2k, tengo un samsung que había sido mi tv, es muy lindo, pero no llegó a ser smart tv, así que ahora es el monitor :D del cpu.
Vuelvo a agradecerte, un saludo grande

Post Reply

Return to “Español (Spanish)”